## uzbl 0.0.0~git.20120514

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	REQ_PKGS += gtk+-3.0 webkitgtk-3.0 javascriptcoregtk-3.0
 	CPPFLAGS = -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
 else
-	REQ_PKGS += gtk+-2.0 webkit-1.0
+	REQ_PKGS += gtk+-2.0 webkit-1.0 javascriptcoregtk-1.0
 	CPPFLAGS =
 endif
 
@@ -25,7 +25,7 @@
 
 COMMIT_HASH:=$(shell ./misc/hash.sh)
 
-CPPFLAGS += -DARCH=\"$(ARCH)\" -DCOMMIT=\"$(COMMIT_HASH)\"
+CPPFLAGS += -D_BSD_SOURCE -D_POSIX_SOURCE -DARCH=\"$(ARCH)\" -DCOMMIT=\"$(COMMIT_HASH)\"
 
 PKG_CFLAGS:=$(shell pkg-config --cflags $(REQ_PKGS))
