=== tests/Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
-# gtk2
-REQ_PKGS += gtk+-2.0 webkit-1.0
 CPPFLAGS = -I ../ -DERRORCHECK_MUTEXES
 
-# gtk3
-#REQ_PKGS += gtk+-3.0 webkitgtk-3.0
-#CPPFLAGS = -I ../ -DERRORCHECK_MUTEXES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
+# use GTK3-based webkit when it is available
+USE_GTK3 = $(shell pkg-config --exists gtk+-3.0 webkitgtk-3.0 && echo 1)
 
-# --- configuration ends here ---
+ifeq ($(USE_GTK3),1)
+	REQ_PKGS += gtk+-3.0 webkitgtk-3.0
+	CPPFLAGS += -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
+else
+	REQ_PKGS += gtk+-2.0 webkit-1.0
+	CPPFLAGS +=
+endif
 
 REQ_PKGS += libsoup-2.4 gthread-2.0 glib-2.0
