=== debian/changelog ===
uzbl (0.0.0~git.20120514-1.2) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * run wrap-and-sort.
  * debian/control:
    + use canonical urls for Vcs-* fields.
    + bump Standards-Version: no changes needed.
    + add build-dep on python-all-dev.
  * debian/rules:
    + correct use of echo.
    + enable hardening.
    + let dh_auto_install do its magic by just adding two options instead of
      overriding everything.
    + move to dh short format, and compat level 9. enable parallel building.
    + fix the perms in a override_dh_fixperms instad of in override_dh_install,
      also drop a now useless chmod.
  * convert packing to format 3.0 (quilt) from 1.0.
  * use dh-python2 instead of pysupport.  Closes: #786021
  * remove d/README.source, this package is standard 3.0 (quilt), nothing more.
  * debian/copyright: fix typo.
  * debian/patch/revert-python2.patch: add dep3 header.
  * install that desktop file.  Closes: #772591
  * debian/uzbl.desktop: remove the Encoding keyword, it's now deprecated.
  * remove the menu file after the last ctte decision.

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 12 Nov 2015 15:05:10 +0000

uzbl (0.0.0~git.20120514-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Preserve x-www-browser alternative on upgrades.
  * Remove x-www-browser alternative on uninstallation.  (Closes: #656222)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jan 2013 22:41:20 +0100

uzbl (0.0.0~git.20120514-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sat, 19 May 2012 09:27:00 +0200

uzbl (0.0.0~git.20111128-2) unstable; urgency=high

  * Security fix for CVE-2012-0843
    + Restrict third-party access to cookie jar (Closes: #659379) 

 -- Luca Bruno <lucab@debian.org>  Tue, 14 Feb 2012 18:14:55 +0100

uzbl (0.0.0~git.20111128-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Thu, 08 Dec 2011 18:46:55 +0100

uzbl (0.0.0~git.20111001-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sat, 26 Nov 2011 11:28:14 +0100

uzbl (0.0.0~git.20110412-2) unstable; urgency=low

  * Moving suggested packages to Recommends (Closes: #626815, #626818)
  * Increase required python version to 2.6, for plugins (Closes: #642491)
  * Update build-dep for libwebkitgtk renaming (Closes: #635429, #646475)

 -- Luca Bruno <lucab@debian.org>  Mon, 07 Nov 2011 13:42:21 +0100

uzbl (0.0.0~git.20110412-1) unstable; urgency=low

  [ Francesca Ciceri ]
  * Added suckless-tools as alternative to dwm-tools on Suggests field

  [ Luca Bruno ]
  * New Upstream version
  * Removed Stefan from maintainers list (Closes: #607325)

 -- Luca Bruno <lucab@debian.org>  Wed, 13 Apr 2011 11:58:50 +0200

uzbl (0.0.0~git.20110317-1) unstable; urgency=low

  * New upstream relese
    + Fixed broken uzbl-tabbed (Closes: #618919, #618626)

 -- Luca Bruno <lucab@debian.org>  Mon, 21 Mar 2011 11:56:56 +0100

uzbl (0.0.0~git.20110314-1) unstable; urgency=low

  * Bumped libwebkit-dev dependency to avoid segfault on kfreebsd-i386
    (Closes: #559489)
  * Fix FTBFS with gold or ld --no-add-needed (Closes: #615790)
  * New upstream release 
    + Fixed "Open in new window" context menu (Closes: #606669)
    + Breaks backward compatibility, please read NEWS.Debian

 -- Luca Bruno <lucab@debian.org>  Wed, 16 Mar 2011 16:48:25 +0100

uzbl (0.0.0~git.20100403-3) unstable; urgency=high

  * Fix unsafe URI handling in default config, which may lead to arbitrary 
    command execution, CVE-2010-2809 (Closes: #594301)
  * Added NEWS.Debian suggesting how to fix user customized config in home
    directory

 -- Luca Bruno <lucab@debian.org>  Fri, 27 Aug 2010 16:26:30 +0200

uzbl (0.0.0~git.20100403-2) unstable; urgency=low

  [ Stefan Ritter ]
  * Fix lintian warning (executable-not-elf-or-script)
  * Add source format (1.0)

  [ Luca Bruno ]
  * Add patch to fix bashisms (Closes: #581145, #577716, #579115)

 -- Luca Bruno <lucab@debian.org>  Sat, 15 May 2010 22:00:14 +0200

uzbl (0.0.0~git.20100403-1) unstable; urgency=low

  [ Luca Bruno ]
  * Fix wrong statement in uzbl manpage regarding config from stdin

  [ Clint Adams ]
  * New upstream version.  closes: #576897.
    - Drop fix-install patch and set DOCDIR instead.

 -- Clint Adams <schizo@debian.org>  Thu, 08 Apr 2010 10:26:02 -0400

uzbl (0.0.0~git.20100314-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sat, 20 Mar 2010 20:34:09 +0100

uzbl (0.0.0~git.20100202-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream version, git-tag 2010.02.02 (Closes: #572159)
    + uzbl-tabbed and linkfollowing should be working again, with newer
      default config
  * Refreshed patches, dropping those already fixed upstream
  * Updated Standards-Version to 3.8.4

  [ Stefan Ritter ]
  * Added manpages for uzbl-cookie-daemon and uzbl-event-manager
  * Added alternative for x-www-browser, now providing www-browser too
    (Closes: #564067)

 -- Luca Bruno <lucab@debian.org>  Sat, 06 Mar 2010 15:07:00 +0100

uzbl (0.0.0~git.20100105-1) unstable; urgency=high

  * New upstream version, git-tag 2010.01.05
    + security release, disable global Uzbl JS object; this may break
      external scripts depending on it (CVE-2010-0011)

 -- Luca Bruno <lucab@debian.org>  Wed, 06 Jan 2010 22:42:34 +0100

uzbl (0.0.0~git.20091222-1) unstable; urgency=low

  * New upstream version, git-tag 2009.12.22

 -- Luca Bruno <lucab@debian.org>  Thu, 24 Dec 2009 17:41:34 +0100

uzbl (0.0.0~git.20091130-2) unstable; urgency=low

  * Added python-gtk2 and python-gobject as dependencies since uzbl-tabbed
    needs them (Closes: #559336)
  * Added xclip and python-simplejson to suggests (Closes: #559337)

 -- Stefan Ritter <xeno@thehappy.de>  Fri, 18 Dec 2009 10:20:00 +0200

uzbl (0.0.0~git.20091130-1) unstable; urgency=low

  [ Stefan Ritter ]
  * Added symlinks for missing manpages

