=== debian/control ===
Source: uzbl
Section: web
Priority: extra
Maintainer: Luca Bruno <lucab@debian.org>
Homepage: http://www.uzbl.org/
Build-Depends: debhelper (>= 9),
               dh-python,
               libgtk2.0-dev (>= 2.14),
               libsoup2.4-dev (>= 2.24),
               libwebkitgtk-dev (>= 1.2.5-2.1),
               pkg-config,
               python-all-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/uzbl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uzbl.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.6

Package: uzbl
Architecture: any
Depends: python-gobject,
         python-gtk2,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: www-browser
Recommends: dwm-tools | suckless-tools,
            python-simplejson,
            socat,
            xclip,
            zenity
Description: Lightweight Webkit browser following the UNIX philosophy
 Uzbl follows the UNIX philosophy - "Write programs that do one thing and do it
 well. Write programs to work together. Write programs to handle text streams,
 because that is a universal interface."
 .
  * very minimal graphical interface. You only see what you need
  * what is not browsing, is not in uzbl. Things like url changing,
    loading/saving of bookmarks, saving history, downloads, ... are handled
    through external scripts that you write
  * controllable through various means such as fifo and socket files, stdin,
    keyboard and more
  * advanced, customizable keyboard interface with support for modes, modkeys,
    multichars, variables (keywords) etc. (eg you can tweak the interface to be
    vim-like, emacs-like or any-other-program-like)
  * focus on plaintext storage for your data and configs in simple, parseable
    formats
  * Uzbl keeps it simple, and puts _you_ in charge.
