=== debian/rules ===
#!/usr/bin/make -f

export LIBS+='-lX11'
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --with python2

override_dh_auto_test:
	@echo "Skipping tests..."

override_dh_compress:
	dh_compress -XCONTRIBUTING -XFAQ -XREADME -XTODO -Xconfig \
		    -Xcookies.sh -X.js -X.py

override_dh_auto_install:
	dh_auto_install -- PREFIX="/usr" DOCDIR='$${DESTDIR}/usr/share/doc/uzbl'
	rm -f $(CURDIR)/debian/uzbl/usr/share/doc/uzbl/INSTALL

override_dh_fixperms:
	dh_fixperms
	chmod 0755 $(CURDIR)/debian/uzbl/usr/share/uzbl/examples/data/scripts/util/*.sh
