=== debian/watch ===
version=3

opts=dversionmangle=s/(\d+\.*){3}~git\.//,uversionmangle=s/\.//g \
 http://githubredir.debian.net/github/Dieterbe/uzbl/(\d.*)\.tar\.gz
